#!/bin/bash

# get information from automatic documentation,
curl "http://127.0.0.1:8000/openapi.json" > toardb_fastapi.yaml
# prepare documentation for pages
python3 prepare_openapi_json.py toardb_fastapi.yaml 
# convert OpenAPI format to Markdown
openapi-markdown --skip-info -i sample.json

# last pretty print changes for pages
(
cat <<'EOF'
# TOAR II Database

### Models

EOF
) > sample_header.md
(
cat <<'EOF'


## REST API

EOF
) > sample_rest_header.md
sed '1,/^### Models$/d' sample.md >sample_models.md
sed '/^### Models$/Q' sample.md >sample_rest.md

cat sample_header.md sample_models.md sample_rest_header.md sample_rest.md >../docs/toardb_fastapi.md
rm sample* toardb_fastapi.yaml
